Bug 178775

Summary: [Curl] Rename CurlJobManager to CurlRequestScheduler
Product: WebKit Reporter: Basuke Suzuki <Basuke.Suzuki>
Component: WebCore Misc.Assignee: Basuke Suzuki <Basuke.Suzuki>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, Basuke.Suzuki, commit-queue, don.olmstead, pvollan, rniwa, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
patch none

Description Basuke Suzuki 2017-10-25 00:48:35 PDT
To match the meaning of the class. It was originally meant to be more generic purpose, but as other classes was introduced, the objective of the class is now only to handle the life cycle of curl requests.

The delegate is also renamed to CurlRequestSchedulerClient.
Comment 1 Basuke Suzuki 2017-10-25 23:52:19 PDT
Created attachment 324968 [details]
patch
Comment 2 WebKit Commit Bot 2017-10-26 11:58:32 PDT
Comment on attachment 324968 [details]
patch

Clearing flags on attachment: 324968

Committed r224037: <https://trac.webkit.org/changeset/224037>
Comment 3 WebKit Commit Bot 2017-10-26 11:58:34 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Radar WebKit Bug Importer 2017-11-15 13:00:21 PST
<rdar://problem/35568587>